Bug 204122 - getnameinfo() does not return EAI_AGAIN when name servers are down
getnameinfo() does not return EAI_AGAIN when name servers are down
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 14:30 EDT by Jordan Russell
Modified: 2016-11-24 10:01 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0210
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:06:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program (540 bytes, text/plain)
2006-08-25 14:30 EDT, Jordan Russell
no flags Details

  None (edit)
Description Jordan Russell 2006-08-25 14:30:12 EDT
Created attachment 134947 [details]
Test program
Comment 1 Jordan Russell 2006-08-25 14:30:12 EDT
Description of problem:
getnameinfo() does not return EAI_AGAIN when the name servers specified in
/etc/resolv.conf are down. Instead it returns EAI_NONAME, which implies that the
lookup was successful but the record didn't exist.

This causes Postfix to bounce mail when it shouldn't. See:
http://groups.google.com/group/list.postfix.users/browse_thread/thread/8df09e10a0eb5393/a7a74aab72a26cd4

Version-Release number of selected component (if applicable):
glibc-2.3.4-2.25

How reproducible:
Always

Steps to Reproduce:
1. Set /etc/resolv.conf to point to an IP address that isn't running a name
server (e.g. "nameserver 127.0.0.1")
2. Run the attached program.
  
Actual results:
getnameinfo() failed with code -2   (EAI_NONAME)

Expected results:
getnameinfo() failed with code -3   (EAI_AGAIN)

Additional info:
getaddrinfo() once had a similar bug; see #15100
Comment 2 Jakub Jelinek 2006-08-29 02:42:58 EDT
Should be fixed in glibc-2.4.90-26.
Comment 3 RHEL Product and Program Management 2006-08-29 02:45:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Red Hat Bugzilla 2007-05-01 19:06:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0210.html

Note You need to log in before you can comment on or make changes to this bug.